-- since this is just an example spec, don't actually load anything here and return an empty spec
-- stylua: ignore
return {
  
  {
  "stevearc/conform.nvim",
    opts ={
    formatters_by_ft = {
        lua = { 'stylua' },
        javascript = { 'clang-format' },
        typescript = { 'clang-format' },
        ts = { 'clang-format' },
        cs = { 'clang-format' },
    },
    }
  },
{
    'stevearc/oil.nvim',
    opts = {},
    -- Optional dependencies
    dependencies = { 'nvim-tree/nvim-web-devicons' },
    config = function()
      require('oil').setup {}

      vim.keymap.set('n', '-', '<CMD>Oil<CR>', { desc = 'Open parent directory' })
    end,
  },
  {
    "nvim-telescope/telescope.nvim",
    keys = {
      -- add a keymap to browse plugin files
      -- stylua: ignore
      {
        "<leader>fp",
        function() require("telescope.builtin").find_files({ cwd = require("lazy.core.config").options.root }) end,
        desc = "Find Plugin File",
      },
      {
        "<leader>sf",
        function()
          require("telescope.builtin").find_files()
        end,
        desc = "Find Files",
      },
      {
        "<leader>sg",
        function()
          require("telescope.builtin").live_grep()
        end,
        desc = "Live Grep",
      },
      {
        "<leader><space>",
        function()
          require("telescope.builtin").buffers()
        end,
        desc = "Buffers",
      },
    },
  },
}
